import request from '@/utils/request'

// 查询支部党课学习资料管理列表（当年、当月）
export function listManageCurrentYearMonth() {
  return request({
    url: '/branch/manage/listCurrentYearMonth',
    method: 'get'
  })
}

// 查询支部党课学习资料管理列表
export function listManage(query) {
  return request({
    url: '/branch/manage/list',
    method: 'get',
    params: query
  })
}

// 查询支部党课学习资料管理详细
export function getManage(manageId) {
  return request({
    url: '/branch/manage/' + manageId,
    method: 'get'
  })
}

// 新增支部党课学习资料管理
export function addManage(data) {
  return request({
    url: '/branch/manage',
    method: 'post',
    data: data
  })
}

// 修改支部党课学习资料管理
export function updateManage(data) {
  return request({
    url: '/branch/manage',
    method: 'put',
    data: data
  })
}

// 删除支部党课学习资料管理
export function delManage(manageId) {
  return request({
    url: '/branch/manage/' + manageId,
    method: 'delete'
  })
}


// 删除支部党课学习资料管理附件
export function delManageFile(data) {
  return request({
    url: '/branch/manage/delFile',
    method: 'put',
    data: data
  })
}

